include:
  - project: 'Infrastructure/openshift-images/ci-templates'
    file: '/buildah.yml'

stages:
 - check
 - deploy

test:
  stage: check
  image: nginxinc/nginx-unprivileged
  script:
    - rm -rf /etc/nginx/conf.d
    - mv conf.d /etc/nginx
    - nginx -t

gitlab-pages-domains:
  stage: deploy
  needs:
    - test
  extends:
    - .buildah
  tags:
    - aarch64
  variables:
    OCI_IMAGE_TAG: aarch64-latest
